Skip to navigation

Update Factory Knowledge

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

factory_idstringRequired
identifierstringRequiredformat: "^[a-z0-9][a-z0-9\-]*$"

Unique lowercase identifier (letters, digits, hyphens). Set at creation and cannot be changed.

Headers

X-Islo-Api-VersionstringRequired

Request

This endpoint expects an object.
bodystring or nullOptional>=1 character
formatstring or nullOptional<=32 characters
levelenum or nullOptional
metadatamap from strings to any or nullOptional
statusenum or nullOptional
Allowed values:
typeenum or nullOptional

Response

Successful Response
bodystring
created_atdatetime
formatstring
idstringformat: "uuid"
levelenum
metadatamap from strings to any
slugstringformat: "^[a-z0-9][a-z0-9\-]*$"1-255 characters

Unique lowercase identifier (letters, digits, hyphens). Set at creation and cannot be changed.

statusenum
Allowed values:
typeenum
updated_atdatetime
byte_sizeinteger or nullOptional
version_idstring or nullOptionalformat: "uuid"
version_numberinteger or nullOptional

Errors

422
Unprocessable Entity Error